Page MenuHomePhabricator

MarkAsHelpful should pass jshint
Closed, ResolvedPublic

Description

jshint reports failure on javascript files and should be fixed. Whenever this is done, one can make the jslint job to be voting by editing integration/zuul-config.git layout.yaml file and remove the line that make the jslint job to be non voting.

modules/ext.markAsHelpful/ext.markAsHelpful.js: line 144, col 12, 'mediaWiki' is not defined.


Version: unspecified
Severity: normal

Details

Related Objects

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 22 2014, 3:14 AM
bzimport set Reference to bz65894.
bzimport added a subscriber: Unknown Object (MLST).
hashar created this task.May 29 2014, 3:28 PM

Change 136101 had a related patch set uploaded by Hashar:
MarkAsHelpful does not pass jshint (made non voting)

https://gerrit.wikimedia.org/r/136101

Change 136101 merged by jenkins-bot:
MarkAsHelpful does not pass jshint (made non voting)

https://gerrit.wikimedia.org/r/136101

[Setting lowest priority as this extension isn't deployed anymore according to bug 67772 comment 1]

hashar closed this task as Resolved.Jan 7 2016, 12:13 PM
hashar claimed this task.

Got fixed at some point.

Change 262888 had a related patch set uploaded (by Hashar):
[MarkAsHelpful] use jslint/jshint

https://gerrit.wikimedia.org/r/262888

Change 262888 merged by jenkins-bot:
[MarkAsHelpful] use jslint/jshint

https://gerrit.wikimedia.org/r/262888